> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/cmp/mobile-sdk/google-consent-mode.md).

# Google Consent Mode v2

{% hint style="warning" %}
**Note**: Didomi has updated its support since the release of Google Custom Mode v2 with simplified native integrations with Firebase and Advanced App Partners (AAP) like Airbridge, ApplyFlyer, etc...

Organizations who have implemented the previous Google Consent Mode v2 solution via the `setConsent` method should update their implementations via the instructions below and remove `setConsent` for Google Consent Mode v2 from the application code.
{% endhint %}

Google Consent Mode v2 ensures that Google vendors associated with a consent notice comply with an end-user's consent choices (called consent types) defined by Google. When an app end-user indicates their consent choices, a consent check will adjust Google vendor behaviors, and the end-user's consent choices are preserved across their interaction in the app.

* [Resources](#resources)
* [Requirements](#requirements)
* [Mobile implementation overview](#mobile-implementation-overview)
* [Privacy & Legal notes](#privacy-and-legal-notes)

***

### Resources

Review the links below to familiarize yourself with the terminology and variations of Google Consent Mode v2:

* [Glossary](https://docs.didomi.io/consent-management-platform-cmp/frameworks-regulations/google-consent-mode-v2#glossary)
* [Google consent types](https://docs.didomi.io/consent-management-platform-cmp/frameworks-regulations/google-consent-mode-v2#google-consent-types)
* [Basic vs Advanced consent mode](https://docs.didomi.io/consent-management-platform-cmp/frameworks-regulations/google-consent-mode-v2#basic-vs-advanced-consent-mode)

### Requirements

The minimum Didomi mobile SDK versions that supports the Firebase SDK and Google Ads SDK are as follows:

<table data-header-hidden><thead><tr><th width="155"></th><th></th></tr></thead><tbody><tr><td><strong>iOS/tvOS</strong></td><td>>2.27.0</td></tr><tr><td><strong>Android</strong></td><td>>2.27.0</td></tr></tbody></table>

### Mobile implementation overview

For mobile applications, Google Consent Mode v2 is implemented via SDKs such as **Firebase** and **Google Ads SDK**. These SDKs rely on consent signals provided programmatically at runtime.&#x20;

{% hint style="info" %}
Consent signals must be passed **early in the app lifecycle** to ensure Google SDKs respect user choices.
{% endhint %}

The Didomi integration with Google Consent Mode v2 works as follows:

{% stepper %}
{% step %}
End-user consent is captured via the consent notice in your mobile application. [Click here](/cmp/mobile-sdk/google-consent-mode/google-consent-mode-implementation-steps.md) for detailed instructions on how to configure your consent notice notice for Google Consent Mode v2.
{% endstep %}

{% step %}
The Didomi SDK computes the consent status for Google Consent Mode v2 consent types. Consent status computation is based on full vendor consent:

<table><thead><tr><th width="183.4666748046875">Vendor</th><th width="187.7999267578125">SDK ID</th><th>GCM v2 consent types</th></tr></thead><tbody><tr><td>Google Advertising Products</td><td><code>google</code></td><td><p>The following are set to <code>granted</code>:</p><ul><li><code>ad_storage</code></li><li><code>ad_user_data</code></li><li><code>ad_personalization</code></li></ul></td></tr><tr><td>Google Analytics Products</td><td><code>googleana-4TXnJigR</code></td><td><code>analytics_storage</code> set to true</td></tr></tbody></table>

If full consent to the specified vendor is not granted then the Google Consent Mode v2 consent types will be set to `denied`.
{% endstep %}

{% step %}
Consent status is passed to Firebase and Advanced App Partners (AAP) like Airbridge, AppsFlyer, Branch, and Kochava.
{% endstep %}

{% step %}
Consent status are kept in sync with any updates the end-user may make to their consent decisions.
{% endstep %}
{% endstepper %}

### **Privacy & Legal notes**

Compliance for Google Consent Mode v2 is a shared responsibility between Didomi and your organization.&#x20;

| Didomi                                                       | Your organization                                                                                  |
| ------------------------------------------------------------ | -------------------------------------------------------------------------------------------------- |
| Ensures accurate end-user consent capture and signal mapping | Implement Didomi SDK properly and configure vendors and purposes                                   |
|                                                              | Present end-users with compliant consent notices for personalization and end-user data collection. |
|                                                              | Incorrect setup or missing configuration steps may result in non-compliance.                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/cmp/mobile-sdk/google-consent-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
